Subject: IAB Seeks Feedback on Appointment to ICANN Technical Liaison Group

From: IAB Executive Administrative Manager <[email-masked]>
Date: Wed, 05 Oct 2016 12:11:38 -0700

The IAB names two technical experts to the ICANN Technical Liaison Group 
(TLG). The TLG is tasked with connecting the ICANN Board with 
appropriate sources of technical advice on specific matters pertinent to 
ICANN's activities.

Warren Kumari and Paul Wouters are the current experts. Paul's current 
term ends in early 2017; he has indicated that he is willing to serve 
for an additional two-year term.

The IAB would like to solicit comments from the community on the 
performance of Paul Wouters on the ICANN TLG. Please send comments to 
iab-chair at iab.org and execd at iab.org.

We would appreciate receiving comments by Wednesday, October 26.

For the IAB,
Cindy Morgan
IAB Executive Administrative Manager